- rename all WITH_ defines to APT_WITH_, export a secondary config header
authorpmatilai <pmatilai>
Tue, 3 Oct 2006 18:33:42 +0000 (18:33 +0000)
committerpmatilai <pmatilai>
Tue, 3 Oct 2006 18:33:42 +0000 (18:33 +0000)
  for them to stop polluting the headers with defines reserved to
  autoconf/autoheader (Ralf Corsepius)

36 files changed:
Makefile.am
Makefile.in
apt-pkg/Makefile.in
apt-pkg/acquire-item.cc
apt-pkg/aptconf.h.in [new file with mode: 0644]
apt-pkg/contrib/cdromutl.cc
apt-pkg/depcache.cc
apt-pkg/init.cc
apt-pkg/luaiface.cc
apt-pkg/luaiface.h
apt-pkg/rpm/repomd.cc
apt-pkg/rpm/repomd.h
apt-pkg/rpm/rpmhandler.cc
apt-pkg/rpm/rpmhandler.h
apt-pkg/rpm/rpmindexfile.cc
apt-pkg/rpm/rpmindexfile.h
apt-pkg/rpm/rpmlistparser.cc
apt-pkg/rpm/rpmlistparser.h
apt-pkg/rpm/rpmmisc.h
apt-pkg/rpm/rpmpackagedata.cc
apt-pkg/rpm/rpmpackagedata.h
apt-pkg/rpm/rpmpm.cc
apt-pkg/rpm/rpmrecords.cc
apt-pkg/rpm/rpmsrcrecords.cc
buildlib/config.h.in
cmdline/Makefile.in
cmdline/apt-cache.cc
cmdline/apt-get.cc
cmdline/apt-shell.cc
configure
configure.ac
doc/Makefile.in
lua/Makefile.in
methods/Makefile.in
test/Makefile.in
tools/Makefile.in

index 5a071a5..62c67e2 100644 (file)
@@ -76,6 +76,9 @@ EXTRA_DIST += contrib/apt-cron/apt.sysconfig
 EXTRA_DIST += buildlib/archtable
 EXTRA_DIST += buildlib/ostable
 
+aptincludedir = $(includedir)/apt-pkg
+nodist_aptinclude_HEADERS = include/apt-pkg/aptconf.h
+
 aptscriptsdir = $(pkgdatadir)/scripts
 aptscripts_SCRIPTS =
 
index ca7518e..f821d61 100644 (file)
@@ -15,6 +15,7 @@
 @SET_MAKE@
 
 
+
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
 VPATH = @srcdir@
@@ -38,7 +39,8 @@ POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
 DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
-       $(srcdir)/Makefile.in $(top_srcdir)/buildlib/config.h.in \
+       $(srcdir)/Makefile.in $(top_srcdir)/apt-pkg/aptconf.h.in \
+       $(top_srcdir)/buildlib/config.h.in \
        $(top_srcdir)/buildlib/gettext.h \
        $(top_srcdir)/buildlib/inttypes.h \
        $(top_srcdir)/buildlib/netdb.h \
@@ -60,7 +62,8 @@ am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  configure.lineno configure.status.lineno
 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/include/config.h
+CONFIG_HEADER = $(top_builddir)/include/config.h \
+       $(top_builddir)/include/apt-pkg/aptconf.h
 CONFIG_CLEAN_FILES = include/apti18n.h include/inttypes.h \
        include/statvfs.h include/netdb.h
 am__installdirs = "$(DESTDIR)$(aptscriptsdir)" \
@@ -71,7 +74,8 @@ am__installdirs = "$(DESTDIR)$(aptscriptsdir)" \
        "$(DESTDIR)$(aptconf_ddir)" \
        "$(DESTDIR)$(aptsources_list_ddir)" "$(DESTDIR)$(aptstatedir)" \
        "$(DESTDIR)$(aptstate_lists_partialdir)" \
-       "$(DESTDIR)$(aptvendors_list_ddir)"
+       "$(DESTDIR)$(aptvendors_list_ddir)" \
+       "$(DESTDIR)$(aptincludedir)"
 aptscriptsSCRIPT_INSTALL = $(INSTALL_SCRIPT)
 SCRIPTS = $(aptscripts_SCRIPTS)
 SOURCES =
@@ -101,6 +105,8 @@ DATA = $(aptcache_DATA) $(aptcache_archives_partial_DATA) \
        $(aptcache_genpkglist_DATA) $(aptcache_gensrclist_DATA) \
        $(aptconf_d_DATA) $(aptsources_list_d_DATA) $(aptstate_DATA) \
        $(aptstate_lists_partial_DATA) $(aptvendors_list_d_DATA)
+nodist_aptincludeHEADERS_INSTALL = $(INSTALL_HEADER)
+HEADERS = $(nodist_aptinclude_HEADERS)
 ETAGS = etags
 CTAGS = ctags
 DIST_SUBDIRS = $(SUBDIRS)
@@ -288,6 +294,8 @@ EXTRA_DIST = AUTHORS.RPM COPYING.GPL rpmpriorities python/apt.i \
        contrib/apt-cron/apt.cron contrib/apt-cron/apt.init \
        contrib/apt-cron/apt.sysconfig buildlib/archtable \
        buildlib/ostable
+aptincludedir = $(includedir)/apt-pkg
+nodist_aptinclude_HEADERS = include/apt-pkg/aptconf.h
 aptscriptsdir = $(pkgdatadir)/scripts
 aptscripts_SCRIPTS = 
 aptconfigdir = ${sysconfdir}/apt
@@ -360,8 +368,18 @@ $(top_srcdir)/buildlib/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
        rm -f include/stamp-h1
        touch $@
 
+include/apt-pkg/aptconf.h: include/apt-pkg/stamp-h2
+       @if test ! -f $@; then \
+         rm -f include/apt-pkg/stamp-h2; \
+         $(MAKE) include/apt-pkg/stamp-h2; \
+       else :; fi
+
+include/apt-pkg/stamp-h2: $(top_srcdir)/apt-pkg/aptconf.h.in $(top_builddir)/config.status
+       @rm -f include/apt-pkg/stamp-h2
+       cd $(top_builddir) && $(SHELL) ./config.status include/apt-pkg/aptconf.h
+
 distclean-hdr:
-       -rm -f include/config.h include/stamp-h1
+       -rm -f include/config.h include/stamp-h1 include/apt-pkg/aptconf.h include/apt-pkg/stamp-h2
 install-aptscriptsSCRIPTS: $(aptscripts_SCRIPTS)
        @$(NORMAL_INSTALL)
        test -z "$(aptscriptsdir)" || $(mkdir_p) "$(DESTDIR)$(aptscriptsdir)"
@@ -544,6 +562,23 @@ uninstall-aptvendors_list_dDATA:
          echo " rm -f '$(DESTDIR)$(aptvendors_list_ddir)/$$f'"; \
          rm -f "$(DESTDIR)$(aptvendors_list_ddir)/$$f"; \
        done
+install-nodist_aptincludeHEADERS: $(nodist_aptinclude_HEADERS)
+       @$(NORMAL_INSTALL)
+       test -z "$(aptincludedir)" || $(mkdir_p) "$(DESTDIR)$(aptincludedir)"
+       @list='$(nodist_aptinclude_HEADERS)'; for p in $$list; do \
+         if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+         f=$(am__strip_dir) \
+         echo " $(nodist_aptincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(aptincludedir)/$$f'"; \
+         $(nodist_aptincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(aptincludedir)/$$f"; \
+       done
+
+uninstall-nodist_aptincludeHEADERS:
+       @$(NORMAL_UNINSTALL)
+       @list='$(nodist_aptinclude_HEADERS)'; for p in $$list; do \
+         f=$(am__strip_dir) \
+         echo " rm -f '$(DESTDIR)$(aptincludedir)/$$f'"; \
+         rm -f "$(DESTDIR)$(aptincludedir)/$$f"; \
+       done
 
 # This directory's subdirectories are mostly independent; you can cd
 # into them and run `make' without going through this Makefile.
@@ -680,7 +715,7 @@ distclean-tags:
 distdir: $(DISTFILES)
        $(am__remove_distdir)
        mkdir $(distdir)
-       $(mkdir_p) $(distdir)/buildlib $(distdir)/contrib/allow-duplicated $(distdir)/contrib/apt-cron $(distdir)/contrib/apt-files $(distdir)/contrib/apt-groupinstall $(distdir)/contrib/apt-wrapper $(distdir)/contrib/gpg-check $(distdir)/contrib/guess $(distdir)/contrib/install-devel $(distdir)/contrib/list-extras $(distdir)/contrib/list-nodeps $(distdir)/contrib/log $(distdir)/contrib/preserve-conf $(distdir)/contrib/proxypasswd $(distdir)/m4 $(distdir)/po $(distdir)/python
+       $(mkdir_p) $(distdir)/apt-pkg $(distdir)/buildlib $(distdir)/contrib/allow-duplicated $(distdir)/contrib/apt-cron $(distdir)/contrib/apt-files $(distdir)/contrib/apt-groupinstall $(distdir)/contrib/apt-wrapper $(distdir)/contrib/gpg-check $(distdir)/contrib/guess $(distdir)/contrib/install-devel $(distdir)/contrib/list-extras $(distdir)/contrib/list-nodeps $(distdir)/contrib/log $(distdir)/contrib/preserve-conf $(distdir)/contrib/proxypasswd $(distdir)/m4 $(distdir)/po $(distdir)/python
        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
        list='$(DISTFILES)'; for file in $$list; do \
@@ -821,10 +856,10 @@ distcleancheck: distclean
               exit 1; } >&2
 check-am: all-am
 check: check-recursive
-all-am: Makefile $(SCRIPTS) $(DATA)
+all-am: Makefile $(SCRIPTS) $(DATA) $(HEADERS)
 installdirs: installdirs-recursive
 installdirs-am:
-       for dir in "$(DESTDIR)$(aptscriptsdir)" "$(DESTDIR)$(aptcachedir)" "$(DESTDIR)$(aptcache_archives_partialdir)" "$(DESTDIR)$(aptcache_genpkglistdir)" "$(DESTDIR)$(aptcache_gensrclistdir)" "$(DESTDIR)$(aptconf_ddir)" "$(DESTDIR)$(aptsources_list_ddir)" "$(DESTDIR)$(aptstatedir)" "$(DESTDIR)$(aptstate_lists_partialdir)" "$(DESTDIR)$(aptvendors_list_ddir)"; do \
+       for dir in "$(DESTDIR)$(aptscriptsdir)" "$(DESTDIR)$(aptcachedir)" "$(DESTDIR)$(aptcache_archives_partialdir)" "$(DESTDIR)$(aptcache_genpkglistdir)" "$(DESTDIR)$(aptcache_gensrclistdir)" "$(DESTDIR)$(aptconf_ddir)" "$(DESTDIR)$(aptsources_list_ddir)" "$(DESTDIR)$(aptstatedir)" "$(DESTDIR)$(aptstate_lists_partialdir)" "$(DESTDIR)$(aptvendors_list_ddir)" "$(DESTDIR)$(aptincludedir)"; do \
          test -z "$$dir" || $(mkdir_p) "$$dir"; \
        done
 install: install-recursive
@@ -877,7 +912,7 @@ install-data-am: install-aptcacheDATA \
        install-aptcache_gensrclistDATA install-aptconf_dDATA \
        install-aptscriptsSCRIPTS install-aptsources_list_dDATA \
        install-aptstateDATA install-aptstate_lists_partialDATA \
-       install-aptvendors_list_dDATA
+       install-aptvendors_list_dDATA install-nodist_aptincludeHEADERS
 
 install-exec-am:
 
@@ -911,7 +946,8 @@ uninstall-am: uninstall-aptcacheDATA \
        uninstall-aptcache_gensrclistDATA uninstall-aptconf_dDATA \
        uninstall-aptscriptsSCRIPTS uninstall-aptsources_list_dDATA \
        uninstall-aptstateDATA uninstall-aptstate_lists_partialDATA \
-       uninstall-aptvendors_list_dDATA uninstall-info-am
+       uninstall-aptvendors_list_dDATA uninstall-info-am \
+       uninstall-nodist_aptincludeHEADERS
 
 uninstall-info: uninstall-info-recursive
 
@@ -930,18 +966,19 @@ uninstall-info: uninstall-info-recursive
        install-aptstateDATA install-aptstate_lists_partialDATA \
        install-aptvendors_list_dDATA install-data install-data-am \
        install-exec install-exec-am install-info install-info-am \
-       install-man install-strip installcheck installcheck-am \
-       installdirs installdirs-am maintainer-clean \
-       maintainer-clean-generic maintainer-clean-recursive \
-       mostlyclean mostlyclean-generic mostlyclean-libtool \
-       mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
-       uninstall uninstall-am uninstall-aptcacheDATA \
-       uninstall-aptcache_archives_partialDATA \
+       install-man install-nodist_aptincludeHEADERS install-strip \
+       installcheck installcheck-am installdirs installdirs-am \
+       maintainer-clean maintainer-clean-generic \
+       maintainer-clean-recursive mostlyclean mostlyclean-generic \
+       mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
+       tags tags-recursive uninstall uninstall-am \
+       uninstall-aptcacheDATA uninstall-aptcache_archives_partialDATA \
        uninstall-aptcache_genpkglistDATA \
        uninstall-aptcache_gensrclistDATA uninstall-aptconf_dDATA \
        uninstall-aptscriptsSCRIPTS uninstall-aptsources_list_dDATA \
        uninstall-aptstateDATA uninstall-aptstate_lists_partialDATA \
-       uninstall-aptvendors_list_dDATA uninstall-info-am
+       uninstall-aptvendors_list_dDATA uninstall-info-am \
+       uninstall-nodist_aptincludeHEADERS
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
index 882a1af..bb0581b 100644 (file)
@@ -51,7 +51,8 @@ am__aclocal_m4_deps = $(top_srcdir)/buildlib/tools.m4 \
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
        $(ACLOCAL_M4)
 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/include/config.h
+CONFIG_HEADER = $(top_builddir)/include/config.h \
+       $(top_builddir)/include/apt-pkg/aptconf.h
 CONFIG_CLEAN_FILES =
 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
@@ -80,7 +81,7 @@ am_libapt_pkg_la_OBJECTS = contrib/cdromutl.lo contrib/cmndline.lo \
        repository.lo sourcelist.lo srcrecords.lo tagfile.lo \
        version.lo versionmatch.lo
 libapt_pkg_la_OBJECTS = $(am_libapt_pkg_la_OBJECTS)
-DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
+DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_builddir)/include/apt-pkg
 depcomp = $(SHELL) $(top_srcdir)/buildlib/depcomp
 am__depfiles_maybe = depfiles
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
@@ -649,11 +650,11 @@ ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
        mkid -fID $$unique
 tags: TAGS
 
-TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+TAGS:  $(HEADERS) $(SOURCES) aptconf.h.in $(TAGS_DEPENDENCIES) \
                $(TAGS_FILES) $(LISP)
        tags=; \
        here=`pwd`; \
-       list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
+       list='$(SOURCES) $(HEADERS) aptconf.h.in $(LISP) $(TAGS_FILES)'; \
        unique=`for i in $$list; do \
            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
          done | \
@@ -665,11 +666,11 @@ TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
            $$tags $$unique; \
        fi
 ctags: CTAGS
-CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+CTAGS:  $(HEADERS) $(SOURCES) aptconf.h.in $(TAGS_DEPENDENCIES) \
                $(TAGS_FILES) $(LISP)
        tags=; \
        here=`pwd`; \
-       list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
+       list='$(SOURCES) $(HEADERS) aptconf.h.in $(LISP) $(TAGS_FILES)'; \
        unique=`for i in $$list; do \
            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
          done | \
index 89d0fd8..676330a 100644 (file)
@@ -825,7 +825,7 @@ bool pkgAcqArchive::QueueNext()
                                                                        /*}}}*/
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
 // ScriptsAcquireDone - Script trigger.                                        /*{{{*/
 // ---------------------------------------------------------------------
 /* */
@@ -896,7 +896,7 @@ void pkgAcqArchive::Done(string Message,off_t Size,string Md5Hash,
       Local = true;
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
       ScriptsAcquireDone("Scripts::Acquire::Archive::Done",
                         StoreFilename, ErrorText, Status);
 #endif
@@ -913,7 +913,7 @@ void pkgAcqArchive::Done(string Message,off_t Size,string Md5Hash,
    Complete = true;
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    ScriptsAcquireDone("Scripts::Acquire::Archive::Done",
                      StoreFilename, ErrorText, Status);
 #endif
diff --git a/apt-pkg/aptconf.h.in b/apt-pkg/aptconf.h.in
new file mode 100644 (file)
index 0000000..fc1ea10
--- /dev/null
@@ -0,0 +1,13 @@
+/* apt-pkg/aptconf.h.in.  */
+
+/* apt configuration defines exported from the source tree */
+
+/* Define to 1 if you want to use the g++ hash_map extension */
+#undef APT_WITH_GNU_HASH_MAP
+
+/* Define if you want to enable the extension system */
+#undef APT_WITH_LUA
+
+/* Define if you want to enable repomd support */
+#undef APT_WITH_REPOMD
+
index b1690f1..e28bb19 100644 (file)
@@ -71,7 +71,7 @@ bool IsMounted(string &Path)
 bool UnmountCdrom(string Path)
 {
 // CNC:2004-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    if (_lua->HasScripts("Scripts::Cdrom::Umount")) {
       _lua->SetGlobal("done", false);
       _lua->RunScripts("Scripts::Cdrom::Umount");
@@ -119,7 +119,7 @@ bool UnmountCdrom(string Path)
 bool MountCdrom(string Path)
 {
 // CNC:2004-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    if (_lua->HasScripts("Scripts::Cdrom::Mount")) {
       _lua->SetGlobal("done", false);
       _lua->RunScripts("Scripts::Cdrom::Mount");
index fc27a0b..758612c 100644 (file)
@@ -100,7 +100,7 @@ bool pkgDepCache::Init(OpProgress *Prog)
    Update(Prog);
 
 // CNC:2003-03-17
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->SetDepCache(this);
    _lua->RunScripts("Scripts::Cache::Init", true);
    _lua->ResetCaches();
index 8d99c4d..88c2e12 100644 (file)
@@ -156,7 +156,7 @@ bool pkgInitSystem(Configuration &Cnf,pkgSystem *&Sys)
    // LORG:2006-02-06
    Cnf.CndSet("APT::DistroVersion", Sys->DistroVer());
 
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->RunScripts("Scripts::Init");
 #endif
    return Ret;
index 37d6a64..1117d15 100644 (file)
@@ -14,7 +14,7 @@
 
 #include <config.h>
 
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
 
 extern "C" {
 #include "lua.h"
@@ -1473,6 +1473,6 @@ pkgDepCache *LuaCacheControl::Open()
       return Open(false);
 }
 
-#endif // WITH_LUA
+#endif // APT_WITH_LUA
 
 // vim:sts=3:sw=3
index f0cf2c5..bd9d072 100644 (file)
@@ -6,7 +6,9 @@
 #pragma interface "apt-pkg/luaiface.h"
 #endif 
 
-#ifdef WITH_LUA
+#include <apt-pkg/aptconf.h>
+
+#ifdef APT_WITH_LUA
 
 #include <map>
 #include <vector>
@@ -115,7 +117,7 @@ class Lua {
 Lua *_GetLuaObj();
 #define _lua _GetLuaObj()
 
-#endif // WITH_LUA
+#endif // APT_WITH_LUA
 
 #endif
 
index 50c7bfe..4a41273 100644 (file)
@@ -16,7 +16,7 @@
 
 #include <config.h>
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 
 #include <iostream>
 #include <apt-pkg/repomd.h>
@@ -97,6 +97,6 @@ bool repomdRepository::ParseRelease(string File)
    return true;
 }
 
-#endif /* WITH_REPOMD */
+#endif /* APT_WITH_REPOMD */
 
 // vim:sts=3:sw=3
index 399bbf9..ca1bbec 100644 (file)
@@ -7,9 +7,10 @@
 #pragma interface "apt-pkg/repomd.h"
 #endif
 
+#include <apt-pkg/aptconf.h>
 #include <apt-pkg/repository.h>
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 
 #include <libxml/parser.h>
 #include <libxml/tree.h>
@@ -40,7 +41,7 @@ class repomdRepository : public pkgRepository
    virtual ~repomdRepository() {};
 };
 
-#endif /* WITH_REPOMD */
+#endif /* APT_WITH_REPOMD */
 
 #endif
 
index 799044b..6c846de 100644 (file)
@@ -27,7 +27,7 @@
 #include <apt-pkg/rpmhandler.h>
 #include <apt-pkg/rpmpackagedata.h>
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 #include <libxml/parser.h>
 #include <libxml/tree.h>
 #include <libxml/xmlreader.h>
@@ -901,7 +901,7 @@ void RPMDBHandler::Rewind()
 }
 #endif
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 RPMRepomdHandler::RPMRepomdHandler(string File)
 {
    PrimaryFile = File;
@@ -1324,13 +1324,13 @@ string RPMRepomdFLHandler::FindTag(char *Tag)
          }
      }
      return str;
-};
+}
 
 RPMRepomdFLHandler::~RPMRepomdFLHandler()
 {
    xmlFreeTextReader(Filelist);
 }
-#endif /* WITH_REPOMD */
+#endif /* APT_WITH_REPOMD */
 
 
 // vim:sts=3:sw=3
index 2a781b0..13eebb8 100644 (file)
 #ifndef PKGLIB_RPMHANDLER_H
 #define PKGLIB_RPMHANDLER_H
 
+#include <apt-pkg/aptconf.h>
 #include <apt-pkg/fileutl.h>
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 #include <libxml/parser.h>
 #include <libxml/tree.h>
 #include <libxml/xmlreader.h>
@@ -220,7 +221,7 @@ class RPMDirHandler : public RPMHandler
    virtual ~RPMDirHandler();
 };
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 class RPMRepomdHandler : public RPMHandler
 {
 
@@ -308,6 +309,6 @@ class RPMRepomdFLHandler : public RPMHandler
    RPMRepomdFLHandler(string File);
    virtual ~RPMRepomdFLHandler();
 };
-#endif /* WITH_REPOMD */
+#endif /* APT_WITH_REPOMD */
 
 #endif
index c9f3061..23707c0 100644 (file)
@@ -536,7 +536,7 @@ string rpmSingleSrcIndex::ArchiveURI(string File) const
    return URI;
 }
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 string rpmRepomdIndex::ArchiveURI(string File) const
 {
    string Res;
@@ -810,7 +810,7 @@ string rpmRepomdSrcIndex::SourceInfo(pkgSrcRecords::Parser const &Record,
       Res += " (" + File.Type + ")";
    return Res;
 }
-#endif /* WITH_REPOMD */
+#endif /* APT_WITH_REPOMD */
 
 // DatabaseIndex::rpmDatabaseIndex - Constructor                       /*{{{*/
 // ---------------------------------------------------------------------
@@ -1034,7 +1034,7 @@ class rpmSLTypeSrpmDir : public rpmSLTypeGen
    }   
 };
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 class rpmSLTypeRepomd : public rpmSLTypeGen
 {
    public:
@@ -1121,13 +1121,13 @@ class rpmSLTypeRepomdSrc : public rpmSLTypeRepomd
       Label = "RepoMD src tree";
    }   
 };
-#endif /* WITH_REPOMD */
+#endif /* APT_WITH_REPOMD */
 
 rpmSLTypeRpm _apt_rpmType;
 rpmSLTypeSrpm _apt_rpmSrcType;
 rpmSLTypeRpmDir _apt_rpmDirType;
 rpmSLTypeSrpmDir _apt_rpmSrcDirType;
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 rpmSLTypeRepomd _apt_repomdType;
 rpmSLTypeRepomdSrc _apt_repomdSrcType;
 #endif
@@ -1191,7 +1191,7 @@ const pkgIndexFile::Type *rpmDatabaseIndex::GetType() const
 {
    return &_apt_DB;
 }
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 const pkgIndexFile::Type *rpmRepomdPkgIndex::GetType() const
 {
    return &_apt_Pkg;
index db69332..4c07a7f 100644 (file)
@@ -21,6 +21,7 @@
 #pragma interface "apt-pkg/rpmindexfile.h"
 #endif
 
+#include <apt-pkg/aptconf.h>
 #include <apt-pkg/indexfile.h>
 #include <apt-pkg/rpmhandler.h>
 
@@ -277,7 +278,7 @@ class rpmSingleSrcIndex : public rpmSrcListIndex
           rpmSrcListIndex("", "", "", NULL), FilePath(File) {};
 };
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 class rpmRepomdIndex : public rpmIndexFile
 {
    protected:
@@ -373,6 +374,6 @@ class rpmRepomdSrcIndex : public rpmRepomdIndex
           rpmRepomdIndex(URI,Dist,Section,Repository) {};
 
 };
-#endif /* WITH_REPOMD */
+#endif /* APT_WITH_REPOMD */
 
 #endif
index d1eaef3..41908ef 100644 (file)
@@ -43,7 +43,7 @@ rpmListParser::rpmListParser(RPMHandler *Handler)
    Handler->Rewind();
    if (Handler->IsDatabase() == true)
    {
-#ifdef WITH_GNU_HASH_MAP
+#ifdef APT_WITH_GNU_HASH_MAP
       SeenPackages = new SeenPackagesType(517);
 #else
       SeenPackages = new SeenPackagesType;
@@ -505,7 +505,7 @@ void rpmListParser::VirtualizePackage(string Name)
    FromPkgI->CurrentState = 0;
 }
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 xmlNode *rpmRepomdParser::FindNode(xmlNode *n, const string Name)
 {
    for (n = n->children; n; n = n->next) {
@@ -575,7 +575,7 @@ bool rpmRepomdParser::LoadReleaseInfo(pkgCache::PkgFileIterator FileI,
    xmlFreeDoc(RepoMD);
    return true;
 }
-#endif /* WITH_REPOMD */
+#endif /* APT_WITH_REPOMD */
 
 #endif /* HAVE_RPM */
 
index e20aae7..fe97e00 100644 (file)
 #ifndef PKGLIB_RPMLISTPARSER_H
 #define PKGLIB_RPMLISTPARSER_H
 
+#include <apt-pkg/aptconf.h>
 #include <apt-pkg/pkgcachegen.h>
 #include <apt-pkg/rpmhandler.h>
 #include <apt-pkg/rpmmisc.h>
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 #include <libxml/parser.h>
 #include <libxml/tree.h>
 #endif
@@ -39,7 +40,7 @@ class rpmListParser : public pkgCacheGenerator::ListParser
    string CurrentName;
    const pkgCache::VerIterator *VI;
    
-#ifdef WITH_GNU_HASH_MAP
+#ifdef APT_WITH_GNU_HASH_MAP
    typedef hash_map<const char*,bool,
                    hash<const char*>,cstr_eq_pred> SeenPackagesType;
 #else
@@ -89,7 +90,7 @@ class rpmListParser : public pkgCacheGenerator::ListParser
    ~rpmListParser();
 };
 
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
 class rpmRepomdParser : public rpmListParser
 {
    protected:
@@ -107,6 +108,6 @@ class rpmRepomdParser : public rpmListParser
 
    rpmRepomdParser(RPMHandler *Handler) : rpmListParser(Handler) {};
 };
-#endif /* WITH_REPOMD */
+#endif /* APT_WITH_REPOMD */
 
 #endif
index bc28c20..acd246f 100644 (file)
@@ -1,7 +1,9 @@
 #ifndef RPMMISC_H
 #define RPMMISC_H
 
-#ifdef WITH_GNU_HASH_MAP
+#include <apt-pkg/aptconf.h>
+
+#ifdef APT_WITH_GNU_HASH_MAP
 
 #include <ext/hash_map>
 
@@ -23,7 +25,7 @@ struct cstr_eq_pred
    size_t operator()(const char *s1, const char *s2) const
       { return strcmp(s1, s2) == 0; };
 };
-#endif /* WITH_GNU_HASH_MAP */
+#endif /* APT_WITH_GNU_HASH_MAP */
 
 struct cstr_lt_pred
 {
index e5a7372..de9b742 100644 (file)
 
 RPMPackageData::RPMPackageData()
    :
-#ifdef WITH_GNU_HASH_MAP
+#ifdef APT_WITH_GNU_HASH_MAP
   VerMap(517),
 #endif
   MinArchScore(-1)   
-#ifdef WITH_GNU_HASH_MAP
+#ifdef APT_WITH_GNU_HASH_MAP
    , ArchScores(31)
 #endif
 {
index a673085..ac2d8fd 100644 (file)
@@ -1,6 +1,7 @@
 #ifndef RPMPACKAGEDATA_H
 #define RPMPACKAGEDATA_H
 
+#include <apt-pkg/aptconf.h>
 #include <apt-pkg/tagfile.h>
 #include <apt-pkg/pkgcache.h>
 #include <apt-pkg/rpmmisc.h>
@@ -21,7 +22,7 @@ class RPMPackageData
 {
    protected:
 
-#ifdef WITH_GNU_HASH_MAP
+#ifdef APT_WITH_GNU_HASH_MAP
    hash_map<string,pkgCache::State::VerPriority,hash_string> Priorities;
    hash_map<string,pkgCache::Flag::PkgFlags,hash_string> Flags;
    hash_map<string,vector<string>*,hash_string> FakeProvides;
index 08521ce..61044bd 100644 (file)
@@ -321,7 +321,7 @@ bool pkgRPMPM::Go()
 
    bool Ret = true;
 
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    if (_lua->HasScripts("Scripts::PM::Pre") == true) {
       _lua->SetGlobal("files_install", install_or_upgrade);
       _lua->SetGlobal("names_remove", uninstall);
@@ -342,7 +342,7 @@ bool pkgRPMPM::Go()
    if (Process(install, upgrade, uninstall) == false)
       Ret = false;
 
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    if (_lua->HasScripts("Scripts::PM::Post") == true) {
       _lua->SetGlobal("files_install", install_or_upgrade);
       _lua->SetGlobal("names_remove", uninstall);
index 1c7cbd6..26dc946 100644 (file)
@@ -43,7 +43,7 @@ rpmRecordParser::rpmRecordParser(string File, pkgCache &Cache)
         Handler = new RPMDirHandler(File);
       else if (flExtension(File) == "rpm")
         Handler = new RPMSingleFileHandler(File);
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
       else if (flExtension(File) == "xml")
         Handler = new RPMRepomdHandler(File);
 #endif
index 9ce0849..c7f5dc9 100644 (file)
@@ -40,7 +40,7 @@ rpmSrcRecordParser::rpmSrcRecordParser(string File,pkgIndexFile const *Index)
       Handler = new RPMDirHandler(File);
    else if (flExtension(File) == "rpm")
       Handler = new RPMSingleFileHandler(File);
-#ifdef WITH_REPOMD
+#ifdef APT_WITH_REPOMD
    else if (flExtension(File) == "xml")
       Handler = new RPMRepomdHandler(File);
 #endif
index 6cfddd3..908a54d 100644 (file)
@@ -1,5 +1,14 @@
 /* buildlib/config.h.in.  Generated from configure.ac by autoheader.  */
 
+/* Define to 1 if you want to use the g++ hash_map extension */
+#undef APT_WITH_GNU_HASH_MAP
+
+/* Define if you want to enable the extension system */
+#undef APT_WITH_LUA
+
+/* Define if you want to enable repomd support */
+#undef APT_WITH_REPOMD
+
 /* Define the common CPU */
 #undef COMMON_CPU
 
 /* Version number of package */
 #undef VERSION
 
-/* Define to 1 if you want to use the g++ hash_map extension */
-#undef WITH_GNU_HASH_MAP
-
-/* Define if you want to enable the extension system */
-#undef WITH_LUA
-
-/* Define if you want to enable repomd support */
-#undef WITH_REPOMD
-
 /* Define if you want to enable SELinux support */
 #undef WITH_SELINUX
 
index 1470c06..16ddc6c 100644 (file)
@@ -52,7 +52,8 @@ am__aclocal_m4_deps = $(top_srcdir)/buildlib/tools.m4 \
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
        $(ACLOCAL_M4)
 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/include/config.h
+CONFIG_HEADER = $(top_builddir)/include/config.h \
+       $(top_builddir)/include/apt-pkg/aptconf.h
 CONFIG_CLEAN_FILES =
 @COMPILE_APTSHELL_TRUE@am__EXEEXT_1 = apt-shell$(EXEEXT)
 @COMPILE_STATIC_TRUE@am__EXEEXT_2 = apt-get-static$(EXEEXT) \
@@ -106,7 +107,7 @@ am_apt_shell_OBJECTS = apt-shell.$(OBJEXT) acqprogress.$(OBJEXT) \
 apt_shell_OBJECTS = $(am_apt_shell_OBJECTS)
 am__DEPENDENCIES_2 = ../apt-pkg/libapt-pkg.la $(am__DEPENDENCIES_1)
 apt_shell_DEPENDENCIES = $(am__DEPENDENCIES_2)
-DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
+DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_builddir)/include/apt-pkg
 depcomp = $(SHELL) $(top_srcdir)/buildlib/depcomp
 am__depfiles_maybe = depfiles
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
index e7952cc..0401010 100644 (file)
@@ -55,7 +55,7 @@ pkgSourceList *SrcList = 0;
 // Script - Scripting stuff.                                           /*{{{*/
 // ---------------------------------------------------------------------
 /* */
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
 bool Script(CommandLine &CmdL)
 {
    for (const char **I = CmdL.FileList+1; *I != 0; I++)
@@ -1153,7 +1153,7 @@ bool ShowHelp(CommandLine &Cmd)
       "   policy - Show policy settings\n"
 // CNC:2003-03-16
       );
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
       _lua->RunScripts("Scripts::AptCache::Help::Command");
 #endif
       cout << _(
@@ -1221,7 +1221,7 @@ int main(int argc,const char *argv[])
                                     {"pkgnames",&ShowPkgNames},
                                     {"policy",&Policy},
 // CNC:2003-11-23
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
                                    {"script",&Script},
 #endif
                                     {0,0}};
@@ -1286,7 +1286,7 @@ int main(int argc,const char *argv[])
         pkgCache Cache(Map);   
         GCache = &Cache;
 // CNC:2003-11-23
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
         _lua->SetCache(&Cache);
         double Consume = 0;
         if (argc > 1 && _error->PendingError() == false &&
index e1ac71f..7eaa3ec 100644 (file)
@@ -106,7 +106,7 @@ class CacheFile : public cmdCacheFile
                                                                        /*}}}*/
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
 class AptGetLuaCache : public LuaCacheControl
 {
    public:
@@ -643,7 +643,7 @@ bool TryToInstall(pkgCache::PkgIterator Pkg,pkgDepCache &Cache,
         pkgCache::PkgIterator GoodPkg(Cache, GoodSolutions[i]);
         GoodSolutionNames.push_back(GoodPkg.Name());
       }
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
       if (GoodSolutions.size() > 1)
       {
         vector<string> VS;
@@ -934,7 +934,7 @@ bool DoUpdate(CommandLine &CmdL)
    }
    
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    if (_lua->HasScripts("Scripts::AptGet::Update::Pre")) {
       _lua->RunScripts("Scripts::AptGet::Update::Pre");
       LuaCacheControl *LuaCache = _lua->GetCacheControl();
@@ -1015,7 +1015,7 @@ bool DoUpdate(CommandLine &CmdL)
    if (Cache.Open() == false)
       return false;
 
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->RunScripts("Scripts::AptGet::Update::Post");
 #endif
 #endif
@@ -1053,7 +1053,7 @@ bool DoUpgrade(CommandLine &CmdL)
    }
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->SetDepCache(Cache);
    _lua->RunScripts("Scripts::AptGet::Upgrade");
    _lua->ResetCaches();
@@ -1220,7 +1220,7 @@ bool DoInstall(CommandLine &CmdL)
 
         // CNC:2003-05-15
         if (*I == 0) {
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
            vector<string> VS;
            _lua->SetDepCache(Cache);
            _lua->SetDontFix();
@@ -1311,7 +1311,7 @@ bool DoInstall(CommandLine &CmdL)
    }
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->SetDepCache(Cache);
    _lua->SetDontFix();
    _lua->RunScripts("Scripts::AptGet::Install::PreResolve");
@@ -1339,7 +1339,7 @@ bool DoInstall(CommandLine &CmdL)
       _error->Discard();
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    if (Cache->BrokenCount() == 0) {
       _lua->SetDepCache(Cache);
       _lua->SetProblemResolver(&Fix);
@@ -1508,7 +1508,7 @@ bool DoDistUpgrade(CommandLine &CmdL)
    }
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->SetDepCache(Cache);
    _lua->RunScripts("Scripts::AptGet::DistUpgrade");
    _lua->ResetCaches();
@@ -2086,7 +2086,7 @@ bool DoMoo(CommandLine &CmdL)
 // DoScript - Scripting stuff.                                         /*{{{*/
 // ---------------------------------------------------------------------
 /* */
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
 bool DoScript(CommandLine &CmdL)
 {
    for (const char **I = CmdL.FileList+1; *I != 0; I++)
@@ -2186,7 +2186,7 @@ bool ShowHelp(CommandLine &CmdL)
       "   check - Verify that there are no broken dependencies\n"
 // CNC:2003-03-16
       );
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
       _lua->RunScripts("Scripts::AptGet::Help::Command");
 #endif
       cout << _(
@@ -2286,7 +2286,7 @@ int main(int argc,const char *argv[])
                                   {"moo",&DoMoo},
                                   {"help",&ShowHelp},
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
                                   {"script",&DoScript},
 #endif
                                    {0,0}};
@@ -2360,7 +2360,7 @@ int main(int argc,const char *argv[])
    SigWinch(0);
 
 // CNC:2003-11-23
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    AptGetLuaCache LuaCache;
    _lua->SetCacheControl(&LuaCache);
    
index d91f5ca..aedd7ca 100644 (file)
@@ -669,7 +669,7 @@ bool TryToInstall(pkgCache::PkgIterator Pkg,pkgDepCache &Cache,
         pkgCache::PkgIterator GoodPkg(Cache, GoodSolutions[i]);
         GoodSolutionNames.push_back(GoodPkg.Name());
       }
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
       if (GoodSolutions.size() > 1)
       {
         vector<string> VS;
@@ -957,7 +957,7 @@ bool DoUpdate(CommandLine &CmdL)
    }
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->SetDepCache(*GCache);
    _lua->RunScripts("Scripts::AptGet::Update::Pre");
    _lua->ResetCaches();
@@ -1029,7 +1029,7 @@ bool DoUpdate(CommandLine &CmdL)
    }
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->SetDepCache(*GCache);
    _lua->RunScripts("Scripts::AptGet::Update::Post");
    _lua->ResetCaches();
@@ -1078,7 +1078,7 @@ bool DoUpgrade(CommandLine &CmdL)
    }
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->SetDepCache(Cache);
    _lua->RunScripts("Scripts::AptGet::Upgrade");
    _lua->ResetCaches();
@@ -1248,7 +1248,7 @@ bool DoInstall(CommandLine &CmdL)
 
         // CNC:2003-05-15
         if (*I == 0) {
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
            vector<string> VS;
            _lua->SetDepCache(Cache);
            _lua->SetDontFix();
@@ -1341,7 +1341,7 @@ bool DoInstall(CommandLine &CmdL)
    }
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->SetDepCache(Cache);
    _lua->SetDontFix();
    _lua->RunScripts("Scripts::AptGet::Install::PreResolve");
@@ -1375,7 +1375,7 @@ bool DoInstall(CommandLine &CmdL)
    }
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    if (Cache->BrokenCount() == 0) {
       _lua->SetDepCache(Cache);
       _lua->SetProblemResolver(&Fix);
@@ -1441,7 +1441,7 @@ bool DoDistUpgrade(CommandLine &CmdL)
    }
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->SetDepCache(Cache);
    _lua->RunScripts("Scripts::AptGet::DistUpgrade");
    _lua->ResetCaches();
@@ -1798,7 +1798,7 @@ bool DoScript(CommandLine &CmdL)
       _config->Set("Scripts::AptShell::Script::", *I);
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->SetDepCache(Cache);
    _lua->RunScripts("Scripts::AptShell::Script");
    _lua->RunScripts("Scripts::AptGet::Script");
@@ -2673,7 +2673,7 @@ int main(int argc,const char *argv[])
    c1out << _("Welcome to the APT shell. Type \"help\" for more information.") << endl;
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
    _lua->SetDepCache(*GCache);
    _lua->RunScripts("Scripts::AptShell::Init");
    _lua->ResetCaches();
@@ -2761,7 +2761,7 @@ int main(int argc,const char *argv[])
       CmdL.Parse(largc,largv);
 
 // CNC:2003-03-19
-#ifdef WITH_LUA
+#ifdef APT_WITH_LUA
       if (HasCmdScripts == true && _error->PendingError() == false) {
         _lua->SetDepCache(*GCache);
         _lua->SetGlobal("command_args", CmdL.FileList);
index f357f0c..67204e6 100755 (executable)
--- a/configure
+++ b/configure
@@ -2058,6 +2058,7 @@ fi
 
           ac_config_headers="$ac_config_headers include/config.h:buildlib/config.h.in"
 
+          ac_config_headers="$ac_config_headers include/apt-pkg/aptconf.h:apt-pkg/aptconf.h.in"
 
 # Check whether --enable-shared or --disable-shared was given.
 if test "${enable_shared+set}" = set; then
@@ -3729,7 +3730,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3732 "configure"' > conftest.$ac_ext
+  echo '#line 3733 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5328,7 +5329,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:5331:" \
+echo "$as_me:5332:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6391,11 +6392,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6394: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6395: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6398: \$? = $ac_status" >&5
+   echo "$as_me:6399: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6659,11 +6660,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6662: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6663: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6666: \$? = $ac_status" >&5
+   echo "$as_me:6667: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6763,11 +6764,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6766: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6767: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6770: \$? = $ac_status" >&5
+   echo "$as_me:6771: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8232,7 +8233,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 8235 "configure"' > conftest.$ac_ext
+    echo '#line 8236 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9129,7 +9130,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9132 "configure"
+#line 9133 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9229,7 +9230,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9232 "configure"
+#line 9233 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11569,11 +11570,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11572: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11573: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11576: \$? = $ac_status" >&5
+   echo "$as_me:11577: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11673,11 +11674,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11676: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11677: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11680: \$? = $ac_status" >&5
+   echo "$as_me:11681: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12209,7 +12210,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 12212 "configure"' > conftest.$ac_ext
+    echo '#line 12213 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -13264,11 +13265,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13267: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13268: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13271: \$? = $ac_status" >&5
+   echo "$as_me:13272: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13368,11 +13369,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13371: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13372: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13375: \$? = $ac_status" >&5
+   echo "$as_me:13376: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14817,7 +14818,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 14820 "configure"' > conftest.$ac_ext
+    echo '#line 14821 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -15592,11 +15593,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15595: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15596: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15599: \$? = $ac_status" >&5
+   echo "$as_me:15600: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15860,11 +15861,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15863: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15864: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15867: \$? = $ac_status" >&5
+   echo "$as_me:15868: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15964,11 +15965,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15967: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15968: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15971: \$? = $ac_status" >&5
+   echo "$as_me:15972: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17433,7 +17434,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 17436 "configure"' > conftest.$ac_ext
+    echo '#line 17437 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -21363,7 +21364,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cat >>confdefs.h <<_ACEOF
-#define WITH_GNU_HASH_MAP 1
+#define APT_WITH_GNU_HASH_MAP 1
 _ACEOF
  echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
@@ -21398,7 +21399,7 @@ if test "$enable_scripts" != "no"; then
 echo "${ECHO_T}no" >&6
 
 cat >>confdefs.h <<\_ACEOF
-#define WITH_LUA 1
+#define APT_WITH_LUA 1
 _ACEOF
 
 else
@@ -21462,7 +21463,7 @@ if test "$enable_repomd" != "no"; then
 echo "${ECHO_T}no" >&6
 
 cat >>confdefs.h <<\_ACEOF
-#define WITH_REPOMD 1
+#define APT_WITH_REPOMD 1
 _ACEOF
 
   ## xmlReadFile is not available before 2.6.0
@@ -26946,6 +26947,7 @@ do
   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
   "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
   "include/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/config.h:buildlib/config.h.in" ;;
+  "include/apt-pkg/aptconf.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/apt-pkg/aptconf.h:apt-pkg/aptconf.h.in" ;;
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
index f65de47..495b2ac 100644 (file)
@@ -10,7 +10,7 @@ AM_INIT_AUTOMAKE([foreign subdir-objects dist-bzip2 1.9.5])
 AM_MAINTAINER_MODE
 
 AC_CONFIG_HEADER([include/config.h:buildlib/config.h.in])
-
+AC_CONFIG_HEADER([include/apt-pkg/aptconf.h:apt-pkg/aptconf.h.in])
 AC_PROG_LIBTOOL
 
 dnl Check our C compiler
@@ -93,7 +93,7 @@ else
 fi
 
 dnl Can we use g++ hash_map?
-AH_TEMPLATE(WITH_GNU_HASH_MAP,
+AH_TEMPLATE(APT_WITH_GNU_HASH_MAP,
            [Define to 1 if you want to use the g++ hash_map extension])
 AC_MSG_CHECKING(for g++ hash_map extension)
 AC_LANG_PUSH([C++])
@@ -102,7 +102,7 @@ AC_TRY_LINK(
 #include <ext/hash_map>
 using namespace __gnu_cxx;
 ],[hash_map<char*,hash<char*> > HashMap;
-],[AC_DEFINE_UNQUOTED(WITH_GNU_HASH_MAP, 1) AC_MSG_RESULT(yes)
+],[AC_DEFINE_UNQUOTED(APT_WITH_GNU_HASH_MAP, 1) AC_MSG_RESULT(yes)
 ],[AC_MSG_RESULT(no)])
 AC_LANG_POP([C++])
 
@@ -113,7 +113,7 @@ AC_ARG_ENABLE([scripts],
              [enable_scripts="$enableval"],[enable_scripts="yes"])
 if test "$enable_scripts" != "no"; then
   AC_MSG_RESULT(no)
-  AC_DEFINE(WITH_LUA, 1, 
+  AC_DEFINE(APT_WITH_LUA, 1, 
            [Define if you want to enable the extension system]) 
 else
   AC_MSG_RESULT(yes)
@@ -143,7 +143,7 @@ AC_ARG_ENABLE([repomd],
              [enable_repomd="$enableval"],[enable_repomd="yes"])
 if test "$enable_repomd" != "no"; then
   AC_MSG_RESULT(no)
-  AC_DEFINE(WITH_REPOMD, 1, [Define if you want to enable repomd support]) 
+  AC_DEFINE(APT_WITH_REPOMD, 1, [Define if you want to enable repomd support]) 
   ## xmlReadFile is not available before 2.6.0
   PKG_CHECK_MODULES([LIBXML2],[libxml-2.0 >= 2.6])
   RPMLIBS="$LIBXML2_LIBS $RPMLIBS"
index 4c17fd0..b9bd977 100644 (file)
@@ -48,7 +48,8 @@ am__aclocal_m4_deps = $(top_srcdir)/buildlib/tools.m4 \
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
        $(ACLOCAL_M4)
 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/include/config.h
+CONFIG_HEADER = $(top_builddir)/include/config.h \
+       $(top_builddir)/include/apt-pkg/aptconf.h
 CONFIG_CLEAN_FILES =
 SOURCES =
 DIST_SOURCES =
index 168c846..ac10f41 100644 (file)
@@ -50,7 +50,8 @@ am__aclocal_m4_deps = $(top_srcdir)/buildlib/tools.m4 \
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
        $(ACLOCAL_M4)
 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/include/config.h
+CONFIG_HEADER = $(top_builddir)/include/config.h \
+       $(top_builddir)/include/apt-pkg/aptconf.h
 CONFIG_CLEAN_FILES =
 LTLIBRARIES = $(noinst_LTLIBRARIES)
 liblua_la_DEPENDENCIES =
@@ -80,7 +81,7 @@ am_luac_luac_OBJECTS = luac/luac_luac-luac.$(OBJEXT) \
 luac_luac_OBJECTS = $(am_luac_luac_OBJECTS)
 luac_luac_LDADD = $(LDADD)
 luac_luac_DEPENDENCIES = liblua.la
-DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
+DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_builddir)/include/apt-pkg
 depcomp = $(SHELL) $(top_srcdir)/buildlib/depcomp
 am__depfiles_maybe = depfiles
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
index bc3ea47..d488298 100644 (file)
@@ -51,7 +51,8 @@ am__aclocal_m4_deps = $(top_srcdir)/buildlib/tools.m4 \
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
        $(ACLOCAL_M4)
 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/include/config.h
+CONFIG_HEADER = $(top_builddir)/include/config.h \
+       $(top_builddir)/include/apt-pkg/aptconf.h
 CONFIG_CLEAN_FILES =
 am__installdirs = "$(DESTDIR)$(methodsdir)"
 methodsPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
@@ -98,7 +99,7 @@ am_ssh_OBJECTS = $(am__objects_2)
 ssh_OBJECTS = $(am_ssh_OBJECTS)
 ssh_LDADD = $(LDADD)
 ssh_DEPENDENCIES = ../apt-pkg/libapt-pkg.la
-DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
+DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_builddir)/include/apt-pkg
 depcomp = $(SHELL) $(top_srcdir)/buildlib/depcomp
 am__depfiles_maybe = depfiles
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
index 756a0ff..bde8be5 100644 (file)
@@ -52,7 +52,8 @@ am__aclocal_m4_deps = $(top_srcdir)/buildlib/tools.m4 \
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
        $(ACLOCAL_M4)
 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/include/config.h
+CONFIG_HEADER = $(top_builddir)/include/config.h \
+       $(top_builddir)/include/apt-pkg/aptconf.h
 CONFIG_CLEAN_FILES =
 PROGRAMS = $(noinst_PROGRAMS)
 am_conftest_OBJECTS = conf.$(OBJEXT)
@@ -73,7 +74,7 @@ uritest_DEPENDENCIES = ../apt-pkg/libapt-pkg.la
 am_versiontest_OBJECTS = versiontest.$(OBJEXT)
 versiontest_OBJECTS = $(am_versiontest_OBJECTS)
 versiontest_DEPENDENCIES = ../apt-pkg/libapt-pkg.la
-DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
+DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_builddir)/include/apt-pkg
 depcomp = $(SHELL) $(top_srcdir)/buildlib/depcomp
 am__depfiles_maybe = depfiles
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
index 275ff11..bda2266 100644 (file)
@@ -51,7 +51,8 @@ am__aclocal_m4_deps = $(top_srcdir)/buildlib/tools.m4 \
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
        $(ACLOCAL_M4)
 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/include/config.h
+CONFIG_HEADER = $(top_builddir)/include/config.h \
+       $(top_builddir)/include/apt-pkg/aptconf.h
 CONFIG_CLEAN_FILES =
 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
@@ -74,7 +75,7 @@ gensrclist_DEPENDENCIES = ../apt-pkg/libapt-pkg.la \
        $(am__DEPENDENCIES_1)
 binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
 SCRIPTS = $(bin_SCRIPTS)
-DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
+DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_builddir)/include/apt-pkg
 depcomp = $(SHELL) $(top_srcdir)/buildlib/depcomp
 am__depfiles_maybe = depfiles
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \